use std::{env::args, fs};

use microlang::Context;

pub fn main() {
	unsafe { backtrace_on_stack_overflow::enable() };
	let mut context = Context::empty();
	let lines = fs::read_to_string(args().nth(1).expect("Pass a file as arg 1.")).expect("File could not be read.");
	for line in lines.lines() {
		match context.eval(line.into()) {
			Err(err) => panic!("Failed : {err:?}"),
			Ok((_, value)) => println!("{}", value.serialize()),
		}
	}
}
